﻿using System;
using System.Threading;
using System.Windows;

using Memento.Common.WaitControl;

namespace WaitControlDemo
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class TestPage : Window
    {
        public TestPage()
        {
            InitializeComponent();
        }

        private void btnWaitTipTest_Click(object sender, RoutedEventArgs e)
        {
            WaitTip waitTip = new WaitTip(gWaitTip.Children, true);
            Thread t = new Thread(new ThreadStart((Action)delegate
            {
                try
                {
                    for (int i = 0; i <= 5; i++)
                    {
                        Thread.Sleep(1000);
                    }
                    waitTip.Close();
                }
                catch (Exception ex)
                {
                    MessageBox.Show(ex.Message);
                }
            }));
            t.Start();
            waitTip.Show("WaitTip Control Test");
        }
        
        private void btnWaitTipTest2_Click(object sender, RoutedEventArgs e)
        {
            WaitTip waitTip = new WaitTip(this);
            Thread t = new Thread(new ThreadStart((Action)delegate
            {
                try
                {
                    for (int i = 0; i <= 5; i++)
                    {
                        Thread.Sleep(1000);
                    }
                    waitTip.Close();
                }
                catch (Exception ex)
                {
                    MessageBox.Show(ex.Message);
                }
            }));
            t.Start();
            waitTip.Show("WaitTip Control Test2");
        }

        private void btnWaitProgressTest_Click(object sender, RoutedEventArgs e)
        {
            WaitProgress wp = new WaitProgress(gWaitProgress.Children, false, true, true);
            Thread t = new Thread(new ThreadStart((Action)delegate
            {
                for (int i = 0; i <= 50; i++)
                {
                    wp.SetProgress(i * 2, "当前进度：" + i.ToString());
                    Thread.Sleep(100);
                }
                wp.Close();
            }));
            t.Start();
            wp.Show();
        }

        private void btnWaitProgressTest2_Click(object sender, RoutedEventArgs e)
        {
            WaitProgress wp = new WaitProgress(this, false, false);
            Thread t = new Thread(new ThreadStart((Action)delegate
            {
                for (int i = 0; i <= 50; i++)
                {
                    wp.SetProgress(i * 2, "当前进度：" + i.ToString());
                    Thread.Sleep(100);
                }
                wp.Close();
            }));
            t.Start();
            wp.Show();
        }

        private void btnWaitProgressTest3_Click(object sender, RoutedEventArgs e)
        {
            WaitProgress wp = new WaitProgress(this, true, true);
            Thread t = new Thread(new ThreadStart((Action)delegate
            {
                for (int i = 0; i <= 50; i++)
                {
                    wp.SetProgress(i * 2, "当前进度：" + i.ToString());
                    Thread.Sleep(100);
                }
            }));
            t.Start();
            wp.Show();
        }

        private void btnWaitClockTest_Click(object sender, RoutedEventArgs e)
        {
            Thread t = new Thread(new ThreadStart((Action)delegate
            {
                try
                {
                    for (int i = 0; i <= 10; i++)
                    {
                        Thread.Sleep(1000);
                    }
                    WaitClock.CloseClock();
                }
                catch (Exception ex)
                {
                    MessageBox.Show(ex.Message);
                }
            }));
            t.Start();
            WaitClock.ShowClock("正在测试asdsagasdasfgasdsadasdas...", this);
            
        }
    }
}